> ## Documentation Index
> Fetch the complete documentation index at: https://docs.podcastor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# More avatar photos

> Generate additional photos for a Podcast avatar.

MCP tool: `podcast_more_avatar_photos`. OAuth scope: `podcast.generate`.


## OpenAPI

````yaml api-reference/openapi.json POST /open/podcast/v1/avatar/photos
openapi: 3.0.3
info:
  description: >-
    Atomic Podcast capabilities. Credits, tasks and assets are shared with the
    Web account and Space.
  title: Podcastor API
  version: 1.0.0
servers:
  - url: https://api-services.podcastor.ai
    description: Podcastor API
security: []
paths:
  /open/podcast/v1/avatar/photos:
    post:
      tags:
        - Podcast
      summary: more avatar photos
      description: Generate additional photos for a Podcast avatar.
      operationId: podcast_more_avatar_photos
      parameters:
        - description: Replay a completed identical request without repeating side effects.
          in: header
          name: Idempotency-Key
          schema:
            maxLength: 128
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/dto.PodcastAvatarMoreReq'
        description: 请求体
        required: true
        x-originalParamName: req
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/vo.CreatePodcastAvatarResp'
          description: OK
      security:
        - ApiKey: []
components:
  schemas:
    dto.PodcastAvatarMoreReq:
      properties:
        pack_id:
          description: 可选，指定只给当前对话数字人的某个pack生成更多图片；为空时左右pack都生成
          type: integer
        podcast_avatar_id:
          type: integer
      required:
        - podcast_avatar_id
      type: object
    vo.CreatePodcastAvatarResp:
      properties:
        pack_ids:
          description: 两个pack的id，第一个为左，第二个为右
          items:
            type: integer
          type: array
        podcast_avatar_id:
          description: 对话数字人id
          type: integer
      type: object
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````